QGIS Application - Bug report #10446
Batch Processing - Select from open layers - random order
2014-06-03 04:02 PM - Pedro Venancio

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18858
Description

Layers in "Select from open layers" - "Multiple selection” window appear in a random order. It would be important that they appear with
some logical order:

- Or alphabetically (preferable, in my opinion);

- Or by the order of the layers in TOC.

Associated revisions

Revision 93511b2f - 2014-06-28 05:07 PM - Victor Olaya

[processing] methods in dataobjects.py now return layers ordered by name

fixes #10446

Revision 50113cda - 2014-07-11 09:16 AM - Victor Olaya

[processing] methods in dataobjects.py now return layers ordered by name

fixes #10446

History

#1 - 2014-06-04 03:51 PM - Pedro Venancio

This problem is common to all algorithms which use Multiple Selection window. And becomes more severe in cases where the order of the selected rasters
is critical, as in the Raster Calculator, where the first grid goes to the GRIDS and the remaining goes to XGRIDS, and are adjusted to first.

| do not know what the feasibility of doing this or the degree of difficulty, but the ideal would be a way to "move" the grids in the list of Multiple Selection
window. Or by drag and drop or with UP and DOWN buttons.

#2 - 2014-06-28 07:45 AM - Jiirgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#3 - 2014-06-28 08:14 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"93511b2f825e5f7608bc6d216bdab38ab78f6c76".
#4 - 2015-06-07 04:31 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
